summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-apps/yarn/yarn-1.8.0.ebuild')
-rw-r--r--sys-apps/yarn/yarn-1.8.0.ebuild34
1 files changed, 34 insertions, 0 deletions
diff --git a/sys-apps/yarn/yarn-1.8.0.ebuild b/sys-apps/yarn/yarn-1.8.0.ebuild
new file mode 100644
index 000000000000..b4b5ee7ead80
--- /dev/null
+++ b/sys-apps/yarn/yarn-1.8.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_P="${PN}-v${PV}"
+
+DESCRIPTION="Fast, reliable, and secure node dependency management"
+HOMEPAGE="https://yarnpkg.com"
+SRC_URI="https://github.com/yarnpkg/yarn/releases/download/v${PV}/${MY_P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="!dev-util/cmdtest
+ net-libs/nodejs"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_install() {
+ local install_dir="/usr/$(get_libdir)/node_modules/yarn" path shebang
+ insinto "${install_dir}"
+ doins -r .
+ dosym "../$(get_libdir)/node_modules/yarn/bin/yarn.js" "/usr/bin/yarn"
+
+ while read -r -d '' path; do
+ read -r shebang < ${path} || die
+ [[ "${shebang}" == \#\!* ]] || continue
+ chmod +x "${path}" || die #614094
+ done < <(find "${ED}" -type f -print0 || die)
+}